Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/hmac.h File Reference

HMAC message authentication code, header. More...

`#include "beecrypt.h"`

Go to the source code of this file.

## Data Structures
struct | hmacParam
## Functions
int | hmacSetup (hmacParam *hp, const hashFunction *hash, hashFunctionParam *param, const uint32 *key, int keybits)
int | hmacReset (hmacParam *hp, const hashFunction *hash, hashFunctionParam *param)
int | hmacUpdate (hmacParam *hp, const hashFunction *hash, hashFunctionParam *param, const byte *data, int size)
int | hmacDigest (hmacParam *hp, const hashFunction *hash, hashFunctionParam *param, uint32 *data)

## Detailed Description

HMAC message authentication code, header.

Definition in file hmac.h.

## Function Documentation

int hmacDigest | ( | hmacParam * | hp,
|  | const hashFunction * | hash,
|  | hashFunctionParam * | param,
|  | uint32 * | data
| ) |

| Definition at line 121 of file hmac.c. Referenced by hmacmd5Digest, hmacsha1Digest, and hmacsha256Digest.

int hmacReset | ( | hmacParam * | hp,
|  | const hashFunction * | hash,
|  | hashFunctionParam * | param
| ) |

| Definition at line 105 of file hmac.c. Referenced by hmacmd5Reset, hmacSetup, hmacsha1Reset, and hmacsha256Reset.

int hmacSetup | ( | hmacParam * | hp,
|  | const hashFunction * | hash,
|  | hashFunctionParam * | param,
|  | const uint32 * | key,
|  | int | keybits
| ) |

| Definition at line 38 of file hmac.c. Referenced by hmacmd5Setup, hmacsha1Setup, and hmacsha256Setup.

int hmacUpdate | ( | hmacParam * | hp,
|  | const hashFunction * | hash,
|  | hashFunctionParam * | param,
|  | const byte * | data,
|  | int | size
| ) |

| Definition at line 116 of file hmac.c. Referenced by hmacmd5Update, hmacsha1Update, and hmacsha256Update.